<?php



function getSluzba(){
    if (isset($_GET["sluzba"])){
        return $_GET["sluzba"];
    }
    return "Není předaná hodnota";
}


function getSluzbaTyp(){
    if (isset($_GET["sluzbaTyp"])){
        return $_GET["sluzbaTyp"];
    }
    return "Není předaná hodnota";
}

function getTypSluzbaId(){
    if (isset($_GET["sluzbaTyp"])){
        switch ($_GET["sluzbaTyp"]) {
            case 'kadeřnictví':
                return 1;
                break;
            case 'kosmetika':
                return 2;
                break;
            case 'manikúra':
                return 3;
                break;
            case 'pedikúra':
                return 4;
                break;
            default:
                return 'Není předaná hodnota';
        }
    }
}





function resultWithPagination($pocetZaznamu, $sql){
    include "connection.php";

    if (isset($_GET["page"])) {
        $page=$_GET["page"];
    }
    else{
        $page=1;
    }
    $result = mysqli_query($conn, $sql);
    $limitStart=($page-1)*$pocetZaznamu;
    $sql = $sql." LIMIT ".$limitStart.','.$pocetZaznamu;
    $result = mysqli_query($conn, $sql);
    return $result;
}

function createPaginationMenu($pocetZaznamu, $hrefLocation, $sql){
    include "connection.php";
    if (isset($_GET["page"])) {
        $page=$_GET["page"];
    }
    else{
        $page=1;
    }
    $result = mysqli_query($conn, $sql);
    $num=mysqli_num_rows($result);
    $totalPage=ceil($num/$pocetZaznamu);
    echo "<div class='text-center mt-10'>";
    for ($i=1; $i <= $totalPage; $i++) { 
        if ($page==$i) {
            echo "<a href='".$hrefLocation."?page=".$i."' class='border border-2 border-gray-600 bg-gray-600 text-white px-2 py-1 mx-1 rounded-lg'>".$i."</a>";
        }
        else{
            echo "<a href='".$hrefLocation."?page=".$i."' class='border border-2 border-black px-2 py-1 mx-1 rounded-lg'>".$i."</a>"; 
        }
    }
    echo "</div>";
}

require "vendor/autoload.php";
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;

function sendMail($jmeno, $datum, $cas, $sluzba, $typSluzby, $prijemce, $status){
    $email = "kadernictvihrdlorezy@gmail.com";
    $name = "Kadeřnictví Hrdlořezy";
    if ($status == "confirm") {
        $subject = "Potvrzení rezervace";
        $message = 
        "Vaše rezervace byla vytvořena.

        Souhrn rezervace
        Jméno: ".$jmeno."
        Den konání rezervace: ".$datum."
        Čas rezervace: ".$cas."
        Služba: ".$sluzba." - ".$typSluzby;
        }
    elseif ($status == "change") {
        $subject = "Upravení rezervace";
        $message = 
        "Vaše rezervace byla upravena.

        Souhrn rezervace
        Jméno: ".$jmeno."
        Den konání rezervace: ".$datum."
        Čas rezervace: ".$cas."
        Služba: ".$sluzba." - ".$typSluzby;
        }
    elseif ($status == "delete") {
        $subject = "Smazání rezervace";
        $message ="Vaše rezervace ze dne ".$datum." byla smazána.";
    }
    $mail = new PHPMailer(true);
    $mail->isSMTP();
    $mail->CharSet = "UTF-8";
    $mail->SMTPAuth = true;
    $mail->SMTPSecure = "ssl";
    $mail->Host = "smtp.gmail.com";
    $mail->Port = 465;
    $mail->Username = "kadernictvihrdlorezy@gmail.com";
    $mail->Password = "bqvvgtqtcjmjghmk";
    $mail->setFrom($email, $name);
    $mail->addAddress($prijemce);
    $mail->Subject = $subject;
    $mail->Body = $message;
    $mail->send();
}      
    
?>
